# update rarian database
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

# update mime database
if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

# update desktop entries
if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

# update hicolor icons
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
	rm -f usr/share/icons/hicolor/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null

if [ -x /usr/bin/glib-compile-schemas ]; then
  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
fi

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  /sbin/depmod -a 1> /dev/null 2> /dev/null
fi

( cd lib ; rm -rf libply-splash-core.so )
( cd lib ; ln -sf libply-splash-core.so.2.1.0 libply-splash-core.so )
( cd lib ; rm -rf libply.so )
( cd lib ; ln -sf libply.so.2.1.0 libply.so )
( cd lib ; rm -rf libply.so.2 )
( cd lib ; ln -sf libply.so.2.1.0 libply.so.2 )
( cd lib ; rm -rf libply-splash-core.so.2 )
( cd lib ; ln -sf libply-splash-core.so.2.1.0 libply-splash-core.so.2 )
( cd usr/lib ; rm -rf libply-boot-client.so.2 )
( cd usr/lib ; ln -sf libply-boot-client.so.2.1.0 libply-boot-client.so.2 )
( cd usr/lib ; rm -rf libply-splash-graphics.so.2 )
( cd usr/lib ; ln -sf libply-splash-graphics.so.2.1.0 libply-splash-graphics.so.2 )
( cd usr/lib ; rm -rf libply-boot-client.so )
( cd usr/lib ; ln -sf libply-boot-client.so.2.1.0 libply-boot-client.so )
( cd usr/lib ; rm -rf libply-splash-graphics.so )
( cd usr/lib ; ln -sf libply-splash-graphics.so.2.1.0 libply-splash-graphics.so )
